name: vector
version: 0.12.0.3
id: vector-0.12.0.3-2LEYu9M2i7lERDtz76XG3n
key: vector-0.12.0.3-2LEYu9M2i7lERDtz76XG3n
license: BSD-3-Clause
copyright: (c) Roman Leshchinskiy 2008-2012
maintainer: Haskell Libraries Team <libraries@haskell.org>
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
homepage: https://github.com/haskell/vector
synopsis: Efficient Arrays
description:
    .
    An efficient implementation of Int-indexed arrays (both mutable
    and immutable), with a powerful loop optimisation framework .
    .
    It is structured as follows:
    .
    ["Data.Vector"] Boxed vectors of arbitrary types.
    .
    ["Data.Vector.Unboxed"] Unboxed vectors with an adaptive
    representation based on data type families.
    .
    ["Data.Vector.Storable"] Unboxed vectors of 'Storable' types.
    .
    ["Data.Vector.Primitive"] Unboxed vectors of primitive types as
    defined by the @primitive@ package. "Data.Vector.Unboxed" is more
    flexible at no performance cost.
    .
    ["Data.Vector.Generic"] Generic interface to the vector types.
    .
    There is also a (draft) tutorial on common uses of vector.
    .
    * <http://haskell.org/haskellwiki/Numeric_Haskell:_A_Vector_Tutorial>
category: Data, Data Structures
abi: 8c974c3671666ea84c89230dddc02ba7
exposed: True
exposed-modules:
    Data.Vector Data.Vector.Fusion.Bundle
    Data.Vector.Fusion.Bundle.Monadic Data.Vector.Fusion.Bundle.Size
    Data.Vector.Fusion.Stream.Monadic Data.Vector.Fusion.Util
    Data.Vector.Generic Data.Vector.Generic.Base
    Data.Vector.Generic.Mutable Data.Vector.Generic.Mutable.Base
    Data.Vector.Generic.New Data.Vector.Internal.Check
    Data.Vector.Mutable Data.Vector.Primitive
    Data.Vector.Primitive.Mutable Data.Vector.Storable
    Data.Vector.Storable.Internal Data.Vector.Storable.Mutable
    Data.Vector.Unboxed Data.Vector.Unboxed.Base
    Data.Vector.Unboxed.Mutable
import-dirs: /usr/local/lib/ghc/vector-0.12.0.3
library-dirs: /usr/local/lib/ghc/vector-0.12.0.3
dynamic-library-dirs: /usr/local/lib/ghc/vector-0.12.0.3
data-dir: /usr/local/share/hs-vector-0.12.0.3
hs-libraries: HSvector-0.12.0.3-2LEYu9M2i7lERDtz76XG3n
include-dirs: /usr/local/lib/ghc/vector-0.12.0.3/include
depends:
    base-4.12.0.0 deepseq-1.4.4.0 ghc-prim-0.5.3
    primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b
haddock-interfaces: /usr/local/share/doc/hs-vector-0.12.0.3/html/vector.haddock
haddock-html: /usr/local/share/doc/hs-vector-0.12.0.3/html
